commit:     1b02322a2e772ee3c55c19c162cf5eb3c07a6fc5
Author:     Sven Wegener <swegener <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 24 22:12:13 2018 +0000
Commit:     Sven Wegener <swegener <AT> gentoo <DOT> org>
CommitDate: Mon Sep 24 22:20:01 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1b02322a

app-admin/augeas: Revision bump to fix several ebuild issues

* Move eautoreconf to src_prepare()
* Use addpredict instead of addwrite
* Do not run econf multiple times (USE flags were being ignored)
* static-libs USE flag should not disable shared libs
* Prune .la files

Signed-off-by: Sven Wegener <swegener <AT> gentoo.org>
Package-Manager: Portage-2.3.49, Repoman-2.3.10

 app-admin/augeas/augeas-1.11.0-r1.ebuild | 49 ++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

diff --git a/app-admin/augeas/augeas-1.11.0-r1.ebuild 
b/app-admin/augeas/augeas-1.11.0-r1.ebuild
new file mode 100644
index 00000000000..339423a7d7e
--- /dev/null
+++ b/app-admin/augeas/augeas-1.11.0-r1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools
+
+DESCRIPTION="A library for changing configuration files"
+HOMEPAGE="http://augeas.net/";
+SRC_URI="http://download.augeas.net/${P}.tar.gz";
+
+SLOT="0"
+LICENSE="LGPL-2.1"
+KEYWORDS="alpha amd64 ~arm hppa ia64 ppc ~ppc64 sparc x86"
+IUSE="static-libs test"
+
+RDEPEND="
+       dev-libs/libxml2
+       sys-libs/readline:="
+DEPEND="${RDEPEND}
+       virtual/pkgconfig
+       >=app-doc/NaturalDocs-1.40
+       test? ( dev-lang/ruby )"
+
+PATCHES=(
+)
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       # selinux needs to implemented
+       econf \
+               --without-selinux \
+               $(use_enable static-libs static)
+}
+
+src_compile() {
+       addpredict /usr/share/NaturalDocs/Config/Languages.txt
+       addpredict /usr/share/NaturalDocs/Config/Topics.txt
+       default
+}
+
+src_install() {
+       default
+       use static-libs || find "${D}" -name '*.la' -delete || die
+}

Reply via email to